%if 0%{?el6}%{?el7}
    # python3 and python version related macros
    # required to build python3- subpackage
    # are not available in el6 and el7
    %global with_python3    0
    %global __python2       %{__python}
    %global python2_sitelib %{python_sitelib}
%else
    %bcond_without python3
%endif

%global         pkgname django-classy-tags

Name:           python-%{pkgname}
Version:        0.4
Release:        3%{?dist}
Summary:        Class based template tags for Django
Group:          Development/Libraries
License:        BSD
URL:            http://django-classy-tags.readthedocs.org/
Source0:        https://pypi.python.org/packages/source/d/%{pkgname}/%{pkgname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python-sphinx
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%endif

Requires:       python-django
Provides:       %{pkgname} = %{version}-%{release}

%description
The goal of this project is to create a new way of writing Django template tags
which is fully compatible with the current Django templating infrastructure.
This new way should be easy, clean and require as little boilerplate code
as possible while still staying as powerful as possible.

%package doc
Summary:        Documentation for %{pkgname}
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
Provides:       %{pkgname}-docs = %{version}-%{release}

%description doc
This package contains the documentation for classytags,
the class based template tags for Django.

%if 0%{?with_python3}
%package -n python3-%{pkgname}
Summary:        Class based template tags for Django
Group:          Development/Libraries
Requires:       python3-django
Provides:       %{pkgname} = %{version}-%{release}

%description -n python3-%{pkgname}
The goal of this project is to create a new way of writing Django template tags
which is fully compatible with the current Django templating infrastructure.
This new way should be easy, clean and require as little boilerplate code
as possible while still staying as powerful as possible.

%package -n python3-%{pkgname}-doc
Summary:        Documentation for %{pkgname}
Group:          Documentation
Requires:       python3-%{pkgname} = %{version}-%{release}
Provides:       %{pkgname}-docs = %{version}-%{release}

%description -n python3-%{pkgname}-doc
This package contains the documentation for classytags,
the class based template tags for Django.
%endif


%prep
%setup -q -n %{pkgname}-%{version}

%if 0%{?with_python3}
cp -a . %{py3dir}
%endif


%build
%{__python2} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif

# build documentation
pushd docs
    make html
    rm -r _build/html/.buildinfo
popd


%install
%{__python2} setup.py install --skip-build --root %{buildroot}

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif


%files
%doc LICENSE README.rst
%dir %{python2_sitelib}/classytags
%{python2_sitelib}/classytags/*.py
%{python2_sitelib}/classytags/*.py[co]
%dir %{python2_sitelib}/classytags/test
%{python2_sitelib}/classytags/test/*.py
%{python2_sitelib}/classytags/test/*.py[co]
%dir %{python2_sitelib}/classytags/test/project
%{python2_sitelib}/classytags/test/project/*.py
%{python2_sitelib}/classytags/test/project/*.py[co]
%{python2_sitelib}/django_classy_tags-%{version}-py2.*.egg-info

%files doc
%doc docs/_build/html


%if 0%{?with_python3}
%files -n python3-%{pkgname}
%doc LICENSE README.rst
%dir %{python3_sitelib}/classytags
%{python3_sitelib}/classytags/*.py
%dir %{python3_sitelib}/classytags/__pycache__
%{python3_sitelib}/classytags/__pycache__/*.py[co]
%dir %{python3_sitelib}/classytags/test
%{python3_sitelib}/classytags/test/*.py
%dir %{python3_sitelib}/classytags/test/__pycache__
%{python3_sitelib}/classytags/test/__pycache__/*.py[co]
%dir %{python3_sitelib}/classytags/test/project
%{python3_sitelib}/classytags/test/project/*.py
%dir %{python3_sitelib}/classytags/test/project/__pycache__
%{python3_sitelib}/classytags/test/project/__pycache__/*.py[co]
%{python3_sitelib}/django_classy_tags-%{version}-py3.*.egg-info

%files -n python3-%{pkgname}-doc
%doc docs/_build/html
%endif

%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 28 2014 Kalev Lember <kalevlember@gmail.com> - 0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Mon Nov 25 2013 Jakub Dorňák <jdornak@redhat.com> - 0.4-1
- Initial package
